import 'package:dgg_flutter_toast/dgg_flutter_toast.dart';
import 'package:flutter/material.dart';

void main() => runApp(MyApp());

class MyApp extends StatelessWidget {
  // This widget is the root of your application.
  @override
  Widget build(BuildContext context) {
    return setToastTheme(context);
  }
}

///设置toast主题
Widget setToastTheme(BuildContext context) {
  return DGGToastThemeWidget(
      radius: 10,
      textPadding: EdgeInsets.symmetric(horizontal: 15, vertical: 20),
      backgroundColor: Color(0x88000000),
      textAlign: TextAlign.left,
      position: ToastPosition(align: Alignment.bottomCenter, offset: -30),
      duration: Duration(seconds: 2),
      dismissOtherOnShow: true,
      child: MaterialApp(
        title: 'Flutter Demo',
        theme: ThemeData(
          // This is the theme of your application.
          //
          // Try running your application with "flutter run". You'll see the
          // application has a blue toolbar. Then, without quitting the app, try
          // changing the primarySwatch below to Colors.green and then invoke
          // "hot reload" (press "r" in the console where you ran "flutter run",
          // or simply save your changes to "hot reload" in a Flutter IDE).
          // Notice that the counter didn't reset back to zero; the application
          // is not restarted.
          primarySwatch: Colors.blue,
        ),
        home: MyHomePage(title: 'Flutter Demo Home Page'),
      ));
}

class MyHomePage extends StatefulWidget {
  MyHomePage({Key key, this.title}) : super(key: key);

  // This widget is the home page of your application. It is stateful, meaning
  // that it has a State object (defined below) that contains fields that affect
  // how it looks.

  // This class is the configuration for the state. It holds the values (in this
  // case the title) provided by the parent (in this case the App widget) and
  // used by the build method of the State. Fields in a Widget subclass are
  // always marked "final".

  final String title;

  @override
  _MyHomePageState createState() => _MyHomePageState();
}

class _MyHomePageState extends State<MyHomePage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text(widget.title),
      ),
      body: Center(
        child: Column(
          mainAxisAlignment: MainAxisAlignment.start,
          children: <Widget>[
            SizedBox(height: 277,),
            Container(
              height: 44,
              child: FlatButton(
                onPressed: () {
                  showToast(context,
                      'this is a toast');
                },
                color: Colors.blue,
                child: Text('Show Toast'),
              ),
            ),
            SizedBox(height: 12,),
            Container(
              height: 44,
              child: FlatButton(
                onPressed: () {
                  dismissAllToast();
                },
                color: Colors.blue,
                child: Text('Dismiss All Toast'),
              ),
            ),
          ],
        ),
      ),// This trailing comma makes auto-formatting nicer for build methods.
    );
  }
}
