import 'package:flutter/material.dart';

class ToastManager {
  ToastManager._();

  static ToastManager _instance;

  factory ToastManager() {
    _instance ??= ToastManager._();
    return _instance;
  }

  ///所有正在显示的toast
  Set<OverlayEntry> toastSet = Set(); 

  ///关闭所有toast
  void dismissAll() {
    toastSet.toList().forEach((v) {
      removeToastEntry(v);
    });
  }

  ///关闭并移除一个toast entry
  void removeToastEntry(OverlayEntry entry) {
    if (toastSet.contains(entry)) {
      toastSet.remove(entry);
      entry.remove();
    }
  }

  ///添加一个toast entry
  void addToastEntry(OverlayEntry entry) {
    toastSet.add(entry);
  }
}