
import 'package:flutter/material.dart';

///Toast位置
class ToastPosition {
  ///对齐方式
  final AlignmentGeometry align;

  ///弹窗对齐后的偏移值, 正数为向下偏移，负数为向上偏移。
  final double offset;

  const ToastPosition({this.align = Alignment.center, this.offset = 0});

  ///居中显示
  static const center =
      const ToastPosition(align: Alignment.center, offset: 0);

  ///居底显示
  static const bottom =
      const ToastPosition(align: Alignment.bottomCenter, offset: -30);

  ///居顶显示
  static const top =
      const ToastPosition(align: Alignment.topCenter, offset: 75);

  @override
  String toString() {
    return "ToastPosition [ align = $align, offset = $offset ] ";
  }
}