import 'package:dgg_flutter_toast/src/core/toast_position.dart';
import 'package:flutter/material.dart';

///Toast主题
class ToastTheme extends InheritedWidget {
  ///背景颜色
  final Color backgroundColor;

  ///圆角
  final double radius;

  ///文本样式
  final TextStyle textStyle;

  ///文本对齐方式
  final TextAlign textAlign;

  ///文本与背景框的间距
  final EdgeInsets textPadding;

  ///弹出位置
  final ToastPosition position;

  ///显示时长
  final Duration duration;

  ///弹出新toast时，是否关闭其他已经显示的toast
  final bool dismissOtherOnShow;

  @override
  bool updateShouldNotify(InheritedWidget oldWidget) => true;

  const ToastTheme({
    this.textStyle,
    this.backgroundColor,
    this.radius,
    this.position,
    this.dismissOtherOnShow,
    this.textPadding,
    this.textAlign,
    this.duration,
    Widget child,
  }) : super(child: child);

  static ToastTheme of(BuildContext context) =>
      context.inheritFromWidgetOfExactType(ToastTheme);
}
